Package org.postgresql.util

# Class JdbcBlackHole

java.lang.Object
org.postgresql.util.JdbcBlackHole

public class JdbcBlackHole extends Object

## Constructor Summary

Constructors
Constructor
Description
`JdbcBlackHole()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`close(@Nullable Connection con)`
`static void`
`close(@Nullable ResultSet rs)`
`static void`
`close(@Nullable Statement s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JdbcBlackHole

public JdbcBlackHole()

## Method Details

### close

public static void close(@Nullable Connection con)

### close

public static void close(@Nullable Statement s)

### close

public static void close(@Nullable ResultSet rs)